Debian Bug report logs - #504708
manpages-dev: dn_expand incorrect prototype in manpage

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Török Edwin <edwintorok@gmail.com>

Date: Thu, 6 Nov 2008 13:15:04 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/3.07-1

Fixed in version manpages/3.13-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#504708; Package manpages-dev. (Thu, 06 Nov 2008 13:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Török Edwin <edwintorok@gmail.com>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Thu, 06 Nov 2008 13:15:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Török Edwin <edwintorok@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: dn_expand incorrect prototype in manpage
Date: Thu, 06 Nov 2008 15:13:23 +0200
Package: manpages-dev
Version: 3.07-1
Severity: normal


Prototype in manpage:
       int dn_expand(unsigned char *msg, unsigned char *eomorig,
	      unsigned char *comp_dn, unsigned char *exp_dn,
	      int length);

But headers say:
int		dn_expand (const u_char *, const u_char *, const u_char *,
			   char *, int) __THROW;

The 4th argument is unsigned char* according to the manpage, but in the headers
it is not. This causes warnings with gcc -Wall.

Please fix either the manpage or the headers.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages manpages-dev depends on:
ii  manpages                      3.07-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

Versions of packages manpages-dev suggests:
ii  konqueror [man-browser] 4:3.5.9.dfsg.1-5 KDE's advanced file manager, web b
ii  man-db [man-browser]    2.5.2-3          on-line manual pager

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#504708; Package manpages-dev. (Thu, 06 Nov 2008 15:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Thu, 06 Nov 2008 15:39:02 GMT) Full text and rfc822 format available.

Message #10 received at 504708@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk.manpages@googlemail.com>
To: "Török Edwin" <edwintorok@gmail.com>, 504708@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#504708: manpages-dev: dn_expand incorrect prototype in manpage
Date: Thu, 6 Nov 2008 10:37:34 -0500
tags 504708 fixed-upstream
thanks

On Thu, Nov 6, 2008 at 8:13 AM, Török Edwin <edwintorok@gmail.com> wrote:
> Package: manpages-dev
> Version: 3.07-1
> Severity: normal
>
>
> Prototype in manpage:
>       int dn_expand(unsigned char *msg, unsigned char *eomorig,
>              unsigned char *comp_dn, unsigned char *exp_dn,
>              int length);
>
> But headers say:
> int             dn_expand (const u_char *, const u_char *, const u_char *,
>                           char *, int) __THROW;
>
> The 4th argument is unsigned char* according to the manpage, but in the headers
> it is not. This causes warnings with gcc -Wall.
>
> Please fix either the manpage or the headers.

A man-pages fix seems appropriate.

The prototype in the headers is as you show at least as far back as
glibc 2.0, and also the same in the headers on all other of the
several Unix systems that I checked.

I changed the page for man-pages-3.13.

Thanks for your report Török.

Cheers,

Michael




Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Thu, 06 Nov 2008 15:39:03 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. (Fri, 21 Nov 2008 11:00:04 GMT) Full text and rfc822 format available.

Notification sent to Török Edwin <edwintorok@gmail.com>:
Bug acknowledged by developer. (Fri, 21 Nov 2008 11:00:43 GMT) Full text and rfc822 format available.

Message #17 received at 504708-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 504708-close@bugs.debian.org
Subject: Bug#504708: fixed in manpages 3.13-1
Date: Fri, 21 Nov 2008 10:47:04 +0000
Source: manpages
Source-Version: 3.13-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.13-1_all.deb
  to pool/main/m/manpages/manpages-dev_3.13-1_all.deb
manpages_3.13-1.diff.gz
  to pool/main/m/manpages/manpages_3.13-1.diff.gz
manpages_3.13-1.dsc
  to pool/main/m/manpages/manpages_3.13-1.dsc
manpages_3.13-1_all.deb
  to pool/main/m/manpages/manpages_3.13-1_all.deb
manpages_3.13.orig.tar.gz
  to pool/main/m/manpages/manpages_3.13.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 504708@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 21 Nov 2008 11:05:35 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.13-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 504202 504708
Changes: 
 manpages (3.13-1) unstable; urgency=low
 .
   * New upstream release
     . Fix prototype of dn_expand in resolver(3) (closes: Bug#504708)
     . Improve and fix error handling after accept() in example code in
       epoll(7) (closes: Bug#504202)
Checksums-Sha1: 
 bbc7b54823181a5bdc0c62e8841add3cc7bb7e7a 964 manpages_3.13-1.dsc
 96398ab4039804c413451793f4fa0dd578cf2177 1494013 manpages_3.13.orig.tar.gz
 771cbfb520752151150447aa2cee7d704831b591 47339 manpages_3.13-1.diff.gz
 8a105b8abe1480d4aa754cfae304fb7f1678aa1c 643140 manpages_3.13-1_all.deb
 435b66c662a8c11e52f12879d052b05f738041ff 1525648 manpages-dev_3.13-1_all.deb
Checksums-Sha256: 
 b3bbbb292a7b60867b322492027bcc720ef3a7fbd16a92d3f384afed61a270b9 964 manpages_3.13-1.dsc
 28f9ea4dfafb93517ce970f37f83b66dc7e15aa2b32afb5b854dc0badb6c81eb 1494013 manpages_3.13.orig.tar.gz
 889050b213813b1d0b357cd457dbd66afe6fd7ef7a5a96eec8bc32a479c41bc4 47339 manpages_3.13-1.diff.gz
 c529ea01eb891aad1a40bcc9ce825494fd69146a420828d6ba093f47a44f59ef 643140 manpages_3.13-1_all.deb
 60a1a6eb0417f20a5ba3920eb2e4a8372e3abbdbfac6e8f7619ee32b2182d2a0 1525648 manpages-dev_3.13-1_all.deb
Files: 
 657c6bbe97223259270a4c3b400ddc7e 964 doc important manpages_3.13-1.dsc
 148f8ed1609c24fa390cd249da840120 1494013 doc important manpages_3.13.orig.tar.gz
 04c1c1178026c70a63dc3390d0b1cccf 47339 doc important manpages_3.13-1.diff.gz
 b227d706c18d0bfe2efb4300b4524c48 643140 doc important manpages_3.13-1_all.deb
 12acae4794c7dc8db0d34d06513a5a8d 1525648 doc optional manpages-dev_3.13-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJJo1EW5ql+IAeqTIRAreGAJ9Nxxm8aXf5tr4pSByimLV4jQi74gCdET0X
6ZV04KybkoI1DtTw7S3hEb4=
=pp9E
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 20 Dec 2008 07:26:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:25:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.